import java.io.IOException;
import java.util.logging.*;

public class LogProperties {	
  public static void main(String[] args) {
    Logger logMain = Logger.getLogger(LogProperties.class.getName());
    Logger logChild = 
      Logger.getLogger(LogProperties.class.getName() + ".debug");
    System.out.println(logMain.getName());
    logMain.info("Starting application ");
    for (int i = 0; i < 5; i++) {
      logChild.fine("Fine at iteration " + i);
      logChild.finer("Finer at iteration " + i);
      logChild.finest("Finest at iteration " + i);
    }
    logMain.info("Ending application ");

  }
}